Bug 131005 - nautilus doesn't monitor ~/.Trash until you've visited the trash location
nautilus doesn't monitor ~/.Trash until you've visited the trash location
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-26 12:18 EDT by sangu
Modified: 2013-03-05 22:41 EST (History)
1 user (show)

See Also:
Fixed In Version: gamin-0.1.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-09 03:26:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2004-08-26 12:18:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809 Epiphany/1.3.7

Description of problem:
When I remove image file in gthumb, the file doesn't appear  in trash://.

But,  excute "ctrl+r", the file appear in trash://.

Version-Release number of selected component (if applicable):
gthumb-2.4.1-2

How reproducible:
Always

Steps to Reproduce:
1. Remove image files in gthumb.
2. 
3.
    

Actual Results:  the file doesn't appear in trash://

Expected Results:  the file appear in trash://

Additional info:

gamin 0.0.7-1, nautilus-2.7.4-1, gnome-vfs2-2.7.91-1.
Comment 1 Christopher Aillon 2004-08-26 12:27:40 EDT
I think this is actually a nautilus issue for not refreshing the view
properly.
Comment 2 sangu 2004-09-22 10:05:55 EDT
This problem is fixed in gamin 0.0.10-1, gnome-vfs2-2.8.1-1,
nautilus-2.8.0-1.
Comment 3 sangu 2004-09-22 10:25:48 EDT
- Open trash window, 

Removing image files in gthumb, trash icon changes.

- But close trash window.

Removing image files in gthumb, trash icon doesn't change.
Comment 4 sangu 2004-11-01 04:04:55 EST
* mv foofile ~/.Trash
 A. Opened nautilus url location trash://
  Changed trash icon.

 B. Closed nautilus url location trash://
  - No changed trash icon.
  - Click context menu -> Properties in trash icon and trash icon is
changed.

----
gnome-vfs2-2.8.2-8, nautilus-2.8.1-4, gamin-0.0.15-1
Comment 5 Alexander Larsson 2005-01-11 08:57:56 EST
I can reproduce this, it seems we're not monitoring the trash
directory correctly.
Comment 6 Alexander Larsson 2005-01-11 09:04:08 EST
Actually it seems as soon as you once opened the trash location
monitoring works.
Comment 7 sangu 2005-02-04 11:12:07 EST
See Also : http://bugzilla.gnome.org/show_bug.cgi?id=165955 in GNOME 2.9.x
Comment 8 sangu 2005-03-04 12:20:09 EST
After installing gamin 0.25-5, 

1. Opened home folder with nautilus.
2. $touch ~/test.txt in gnome-terminal
nautilus doesn't refresh.
3. After "ctrl+r", test.txt file does appear.

nautilus-2.9.91-2

Note You need to log in before you can comment on or make changes to this bug.